
//////////////////////////////////////////////////
//  SQLite Data Access Components
//  Copyright  2024 Devart. All right reserved.
//////////////////////////////////////////////////

{$IFNDEF CLR}
{$I LiteDac.inc}

unit LiteTableSQLFrame;
{$ENDIF}

interface

uses
{$IFDEF MSWINDOWS}
  Windows, Messages,
{$ENDIF}
  Graphics, Controls, Forms, Dialogs, StdCtrls, ExtCtrls, Buttons, ComCtrls,
  Classes, SysUtils,
{$IFDEF FPC}
  LResources,
{$ENDIF}
  DBAccess, CRFrame, CRTabEditor, CREditor, DATableSQLFrame;

type
  TLiteTableSQLFrame = class(TDATableSQLFrame)
    cbAllTables: TCheckBox;
    procedure cbAllTablesClick(Sender: TObject);
  protected
  end;

implementation

{$IFNDEF FPC}
{$R LiteTableSQLFrame.dfm}
{$ELSE}
{$R *.lfm}
{$ENDIF}

{ TLiteTableSQLFrame }

procedure TLiteTableSQLFrame.cbAllTablesClick(Sender: TObject);
begin
  FListGot := False;
  FAllTables := cbAllTables.Checked;
end;

end.

